// --------------------------------------------------------
// Copyright (c)
//
// contributions by Ansgar
//                  ansgar.radermacher@cea.fr
// maintained by    CEA LIST
//                  info-list@cea.fr

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#include "addServerCompdef/AddServer_impl.h"

// declare options
rclcpp::NodeOptions addserver_options;

int main(int argc, char **argv) {
  rclcpp::init(argc, argv);

  auto addserver = std::make_shared < addServerCompdef::AddServer_impl
      > (addserver_options);

  RCLCPP_INFO(addserver->get_logger(), "AddServer has been initialized");

  rclcpp::executors::MultiThreadedExecutor executor;

  executor.add_node(addserver->get_node_base_interface());

  executor.spin();
  rclcpp::shutdown();
}

